package eu.lucazanini.asynctaskandnotifications;

import android.annotation.TargetApi;
import android.app.Activity;
import android.os.AsyncTask;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);

	setContentView(R.layout.activity_main);

	Button btn = (Button) findViewById(R.id.button1);

	btn.setOnClickListener(new OnClickListener() {

	    @TargetApi(11)
	    private void asyncTaskApi11() {
		new NotificationTask(getApplicationContext(), "Job one", 1)
			.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, 10);
		new NotificationTask(getApplicationContext(), "Job two", 2)
			.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, 5);
	    }

	    @Override
	    public void onClick(View v) {

		if (Build.VERSION.SDK_INT < Build.VERSION_CODES.HONEYCOMB) {
		    new NotificationTask(getApplicationContext(), "Job one", 1)
			    .execute(10);
		    new NotificationTask(getApplicationContext(), "Job two", 2)
			    .execute(5);
		} else {
		    asyncTaskApi11();
		}
	    }
	});
    }
}
